mult.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.
namespace | Gecode::Float::Arithmetic
| Arithmetic propagators

## Functions

template<class View>
bool | Gecode::Float::Arithmetic::pos (const View &x)
| Test whether x is postive.
template<class View>
bool | Gecode::Float::Arithmetic::neg (const View &x)
| Test whether x is negative.
template<class View>
bool | Gecode::Float::Arithmetic::any (const View &x)
| Test whether x is neither positive nor negative.